@echo off

if "test"=="%5test" goto usage

set Type=%1
set NMSDir=%2
set UserName=%3
set Password=%4
set Group=%5
set RMIPort=%6
cd ..\..
call .\setEnv.bat

set CLASSPATH=%NMS_CLASSES%;%XML_CLASSPATH%;%SNMP_CLASSPATH%;%DB_CLASSPATH%;%TRANSACTION_CLASSPATH%


%JAVA_HOME%\bin\java com.adventnet.nms.authentication.UserConfigAPIImpl %NMSDir% %UserName% %Password% %Group% %RMIPort%


goto end


:usage

echo "Usage : UserConfig Add Nmsdir username password group
echo "Add :  To Add a User 
echo "NmsDir : WebNMS Directory 
echo "UserName : UserName 
echo "Password  : Password " 
echo "Group  : Group"
echo "rmiPort : rmiPort [default 1099]"
pause
goto end

:end





















